import { renderless, api } from "@dft-vue-2-opentiny/vue-renderless/time-line/vue";
import { defineComponent, props, setup as _setup } from "@dft-vue-2-opentiny/vue-common";
import { iconYes } from "@dft-vue-2-opentiny/vue-icon";
import "@dft-vue-2-opentiny/vue-theme-mobile/steps/index.css";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  emits: ["click"],
  props: [].concat(props, ["vertical", "horizontal", "showNumber", "nameField", "timeField", "start", "data", "space", "active", "reverse", "showStatus", "showFoldBtn"]),
  components: {
    IconYes: iconYes()
  },
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    class: ["tiny-mobile-steps", {
      "is-horizontal": _vm.horizontal && !_vm.vertical
    }]
  }, [!_vm.vertical ? _c("div", {
    staticClass: "tiny-mobile-steps-normal"
  }, _vm._l(_vm.state.nodes, function(node, index) {
    return _c("div", {
      key: index,
      class: ["normal", _vm.getStatusCls(index)],
      style: {
        width: _vm.horizontal ? "auto" : _vm.space ? _vm.space + "px" : 100 / _vm.state.nodes.length + "%"
      }
    }, [_vm._t("top", [_c("div", {
      staticClass: "date-time"
    }, [_c("span", {
      staticClass: "time"
    }, [_vm._v(_vm._s(_vm.getDate(node[_vm.timeField]).date) + " " + _vm._s(_vm.getDate(node[_vm.timeField]).time))])])], {
      "slotScope": node
    }), _c("div", {
      staticClass: "icon",
      on: {
        "click": function click($event) {
          return _vm.handleClick({
            index,
            node
          });
        }
      }
    }, [index >= _vm.state.current ? _c("span", [_vm._v(_vm._s(_vm.showNumber ? index + _vm.start : ""))]) : _c("span", {
      staticClass: "icon-wrap",
      attrs: {
        "custom-title": index + _vm.start
      }
    }, [_c("icon-yes", {
      staticClass: "tiny-svg-size fixicon"
    })], 1)]), _c("div", {
      class: ["line", {
        "line-done": index < _vm.state.current,
        "line-end": index === _vm.state.nodes.length - 1
      }]
    }), _c("div", {
      staticClass: "node-description"
    }, [_vm._t("bottom", [_c("div", {
      staticClass: "name",
      domProps: {
        "textContent": _vm._s(node[_vm.nameField])
      }
    }), _c("div", {
      staticClass: "status"
    }, [_vm._v(" " + _vm._s(_vm.showStatus ? _vm.getStatus(index) : "") + " ")])], {
      "item": node
    })], 2)], 2);
  }), 0) : _c("div", {
    class: ["tiny-mobile-steps-timeline", {
      reverse: _vm.reverse
    }]
  }, _vm._l(_vm.state.nodes, function(node, index) {
    return _c("div", {
      key: index,
      staticClass: "timeline"
    }, [_c("ul", [_c("li", [_c("div", {
      staticClass: "header"
    }, [node.time ? _c("div", {
      staticClass: "date-time-vertical"
    }, [_c("span", {
      staticClass: "time"
    }, [_vm._v(_vm._s(_vm.getDate(node[_vm.timeField]).date) + " " + _vm._s(_vm.getDate(node[_vm.timeField]).time))])]) : _vm._e(), _c("span", {
      class: ["round", "round-" + node.state]
    }), _vm._t("header", [_c("div", {
      staticClass: "name"
    }, [_vm._v(" " + _vm._s(node.name) + " ")])], {
      "item": node
    }), node.showFoldBtn ? _c("div", {
      staticClass: "arrow-btn",
      on: {
        "click": function click($event) {
          node.fold = !node.fold;
        }
      }
    }, [_c("div", {
      class: ["arrow-btn-arrow", node.fold ? "arrow-btn-arrow-fold" : ""]
    })]) : _vm._e()], 2), !node.fold ? _c("div", {
      class: ["content", node.time ? "content-left-margin" : null]
    }, [_vm._t("content", null, {
      "item": node
    })], 2) : _vm._e(), _vm.state.nodes.length > 1 ? _c("div", {
      class: ["line", node.time ? "line-left-margin" : null]
    }) : _vm._e()])])]);
  }), 0)]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobile = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  mobile as default
};
