import { renderless, api } from "@dft-vue-2-opentiny/vue-renderless/time-line/vue";
import { defineComponent, props, setup as _setup } from "@dft-vue-2-opentiny/vue-common";
import { iconYes, iconClose } from "@dft-vue-2-opentiny/vue-icon";
import "@dft-vue-2-opentiny/vue-theme/steps/index.css";
import TimelineItem from "@dft-vue-2-opentiny/vue-timeline-item";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  emits: ["click"],
  props: [].concat(props, ["vertical", "horizontal", "showNumber", "nameField", "timeField", "start", "data", "space", "active", "reverse", "showStatus", "size", "textPosition", "showDivider", "onlyNumber", "lineWidth"]),
  components: {
    IconYes: iconYes(),
    IconClose: iconClose(),
    TinyTimelineItem: TimelineItem
  },
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    class: ["tiny-steps", {
      "is-horizontal": _vm.horizontal && !_vm.vertical,
      "tiny-steps--mini": _vm.size === "mini"
    }]
  }, [_c("div", {
    class: _vm.state.computedWrapperClass,
    on: {
      "click": _vm.contentClick
    }
  }, [_vm._t("default", _vm._l(_vm.state.nodes, function(node, index) {
    return _c("tiny-timeline-item", {
      key: index,
      attrs: {
        "node": node,
        "space": _vm.space,
        "line-width": _vm.lineWidth
      },
      on: {
        "click": function click($event) {
          return _vm.handleClick({
            index,
            node
          });
        }
      },
      scopedSlots: _vm._u([{
        key: "active-node-desc",
        fn: function fn(slotScoped) {
          return [_vm._t("active-node-desc", null, {
            "node": slotScoped.node
          })];
        }
      }, {
        key: "top",
        fn: function fn(node2) {
          return [_vm._t("top", null, {
            "slotScope": node2.slotScope
          })];
        }
      }, {
        key: "bottom",
        fn: function fn(node2) {
          return [_vm._t("bottom", null, {
            "slotScope": node2.slotScope
          })];
        }
      }, {
        key: "left",
        fn: function fn(node2) {
          return [_vm._t("left", null, {
            "slotScope": node2.slotScope
          })];
        }
      }, {
        key: "right",
        fn: function fn(node2) {
          return [_vm._t("right", null, {
            "slotScope": node2.slotScope
          })];
        }
      }], null, true)
    });
  }))], 2), _vm.textPosition === "right" && _vm.showDivider ? _c("div", {
    staticClass: "tiny-steps__bottom-divider"
  }) : _vm._e()]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  pc as default
};
